Significant changes were made in version 3.0 and 3.1 to the way workflows are constructed and stored, making 1.x and 2.x workflows incompatible with subsequent releases.

However, if you want to try (not recommended!!) and upgrade the old Space Approvals or Version 2 workflows, you would first have to upgrade to version 3.0, convert the workflows/approvals, then upgrade to version 3.1, prior to commencing the upgrade to version 5.x. This would potentially also involve a few Confluence upgrades too. For more details, see the Next Step.

If you want to create new workflows from scratch (very strongly recommended), see: